import 'package:flutter/material.dart';

import '../util/text_size_limiter.dart';

class ConjugationMetaDataCard extends StatelessWidget {
  final String infinitive;
  final String translation;
  final String mode;
  final String tense;

  const ConjugationMetaDataCard(
      {Key? key,
      required this.infinitive,
      required this.translation,
      required this.mode,
      required this.tense})
      : super(key: key);

  @override
  Widget build(BuildContext context) {
    return Card(
      margin: const EdgeInsets.fromLTRB(40, 20, 40, 20),
      elevation: 15,
      child: ListTile(
        title: Row(
          children: [
            SizedBox(
              width: labelWidth(context),
              child: Text(
                'werkwoord',
                textAlign: TextAlign.left,
                textScaleFactor: TextSizeLimiter.textScaleFactor(context),
              ),
            ),
            Text(' : ',
                textAlign: TextAlign.left,
                textScaleFactor: TextSizeLimiter.textScaleFactor(context)),
            Text(infinitive,
                textAlign: TextAlign.left,
                overflow: TextOverflow.ellipsis,
                textScaleFactor: TextSizeLimiter.textScaleFactor(context)),
          ],
        ),
        subtitle: Column(
          children: [
            Row(children: [
              SizedBox(
                  width: labelWidth(context),
                  child: Text(
                    'vertaling',
                    textAlign: TextAlign.left,
                    textScaleFactor: TextSizeLimiter.textScaleFactor(context),
                  )),
              Text(
                ' : ',
                textAlign: TextAlign.left,
                textScaleFactor: TextSizeLimiter.textScaleFactor(context),
              ),
              Text(
                translation,
                textAlign: TextAlign.left,
                overflow: TextOverflow.ellipsis,
                textScaleFactor: TextSizeLimiter.textScaleFactor(context),
              ),
            ]),
            Row(
              children: [
                SizedBox(
                    width: labelWidth(context),
                    child: Text(
                      'modus',
                      textAlign: TextAlign.left,
                      textScaleFactor: TextSizeLimiter.textScaleFactor(context),
                    )),
                Text(
                  ' : ',
                  textAlign: TextAlign.left,
                  textScaleFactor: TextSizeLimiter.textScaleFactor(context),
                ),
                Text(
                  mode,
                  textAlign: TextAlign.left,
                  overflow: TextOverflow.ellipsis,
                  textScaleFactor: TextSizeLimiter.textScaleFactor(context),
                ),
              ],
            ),
            Row(
              children: [
                SizedBox(
                    width: labelWidth(context),
                    child: Text('tijd',
                        textAlign: TextAlign.left,
                        textScaleFactor:
                            TextSizeLimiter.textScaleFactor(context))),
                Text(
                  ' : ',
                  textAlign: TextAlign.left,
                  textScaleFactor: TextSizeLimiter.textScaleFactor(context),
                ),
                Text(
                  tense,
                  textAlign: TextAlign.left,
                  overflow: TextOverflow.ellipsis,
                  textScaleFactor: TextSizeLimiter.textScaleFactor(context),
                ),
              ],
            ),
          ],
        ),
      ),
    );
  }

  double labelWidth(BuildContext context) =>
      MediaQuery.of(context).size.width * 0.38;
}
